local t = Def.ActorFrame {
	LoadSongBackground() .. {
		OnCommand=cmd(diffusealpha,0;sleep,0.5;linear,0.5;diffusealpha,1);
	};

	-- Cleared
	Def.ActorFrame {
		Condition=GAMESTATE:GetPlayMode() ~= PLAY_MODE_BATTLE and GAMESTATE:GetPlayMode() ~= PLAY_MODE_RAVE and not GAMESTATE:IsDemonstration();
		children = {
			LoadActor("extra1") .. {
				Condition=GAMESTATE:IsExtraStage();
				StartTransitioningCommand=cmd(hide_if,not GAMESTATE:HasEarnedExtraStage());
			};
			LoadActor("extra2") .. {
				Condition=GAMESTATE:IsExtraStage2();
				StartTransitioningCommand=cmd(hide_if,not GAMESTATE:HasEarnedExtraStage());
			};
			LoadActor("cleared") .. {
				InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
				StartTransitioningCommand=cmd(hide_if,GAMESTATE:HasEarnedExtraStage());
				OnCommand=cmd(diffusealpha,0;sleep,1;linear,0.5;glow,1,1,1,1;diffusealpha,1;linear,0.25;glow,1,1,1,0;sleep,2);
			};
		};
	};

	-- Demonstration
	Def.ActorFrame {
		Condition=GAMESTATE:IsDemonstration();
		children = {
			Def.Quad {
				InitCommand=cmd(stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM;diffuse,color("0,0,0,1"));
				OnCommand=cmd(sleep,1.5;diffusealpha,0);
			};
		};
	};
};
return t;